#pragma once
#include "dinkyecs.hpp"
#include <nlohmann/json.hpp>
#include <vector>

namespace components {
  using namespace nlohmann;

  struct Device {
    json config;
    std::vector<int> events;

    void configure_events(json &event_names);
  };
}
